## org.gnu.gdk
Class SubwindowMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.SubwindowMode

public class SubwindowMode
extends Enum

Field Summary
`static SubwindowMode` `CLIP_BY_CHILDREN`
`static SubwindowMode` `INCLUDE_INFERIORS`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SubwindowMode` `and(SubwindowMode other)`
`static SubwindowMode` `intern(int value)`
`SubwindowMode` `or(SubwindowMode other)`
`boolean` `test(SubwindowMode other)`
`SubwindowMode` `xor(SubwindowMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLIP_BY_CHILDREN

    public static final SubwindowMode CLIP_BY_CHILDREN

### INCLUDE_INFERIORS

    public static final SubwindowMode INCLUDE_INFERIORS

Method Detail

### intern

    public static SubwindowMode intern(int value)

### or

    public SubwindowMode or(SubwindowMode other)

### and

    public SubwindowMode and(SubwindowMode other)

### xor

    public SubwindowMode xor(SubwindowMode other)

### test

    public boolean test(SubwindowMode other)